<!--Heading Section-->
<nav class="navbar-light background_color nav-bar-alingment ml-1 mr-2">
    <div class="row fill-back">
        <div class="col-md-11">
            <h6 class="page-header detailed-catalog-view-heading">
                <!-- <em class='fa text-success ml-1 mr-2' [ngClass]="{
                    'fa-database' : this.catalogService.layerType == 'Redshift Schema' || this.catalogService.layerType == 'Snowflake Schema', 
                    'fa-table' : this.catalogService.layerType == 'S3 Bucket'}"></em> -->
                <!-- <span *ngFor="let uri of this.URI; let i = index" [attr.data-index]="i" class="layer_selected">{{uri}}
                    <span class="bread-arrow ml-1 mr-1" *ngIf="i < this.URI.length-1">
                        <em class="fa fa-caret-right ml-1 mr-1"></em>
                    </span>
                </span> -->
                <span class="ml-3">
                    <strong> {{catalogService?.Table_Name}}</strong>
                </span>
            </h6>
        </div>
        <div class="col-md-1">
            <a routerLink="../dataCatalogue" aria-expanded="false">
                <i class="fa fa-times arrow_color mt-1 mr-3 float-right" aria-hidden="true"></i>
                <i class="fa fa-minus arrow_color mt-1 mr-4 float-right" aria-hidden="true"></i>

            </a>
        </div>
    </div>
</nav>
<div class="row detailed-catalog-view ml-1 mr-1 mt-2">
    <ejs-tab id="element" class="e-fill e-fill-bg-color align-background bg-custom-clr">
        <e-tabitems>
            <e-tabitem>
                <ng-template #headerText class="transform-header">
                    <div> {{ i18Labels.Detailedcatalogview['Overview'] }} </div>
                </ng-template>
                <ng-template #content>
                    <div class="row mt-4">
                        <div class="col-md-9" id="detailed-business-details">
                            <div class="row">
                                <div class="col-md-4">
                                    <h6 class="mt-4 ml-4">
                                        <strong>{{ i18Labels.Detailedcatalogview['Technical Name'] }}</strong>
                                    </h6>
                                    <p class=" ml-4">
                                        {{catalogService?.Table_Name}}
                                    </p>
                                </div>
                                <div class="col-md-4">
                                    <h6 class="mt-4 ml-4">
                                        {{ i18Labels.Detailedcatalogview['Logical Name'] }} <span
                                            appPermissions functionality="CATALOG.EDIT_OBJ_LOGICAL_NAME" action="R"
                                            class="ml-3 clickable fs" *ngIf="editLogicalNameFlag == false"
                                            (click)="editLogicalNameFlag = true; editLogicalNameInput = completeDataFeed['Logical Name']">
                                            <img src="assets/images/novartis/edit.svg" class="editIcon"></span>
                                    </h6>
                                    <p class=" ml-4" *ngIf="!editLogicalNameFlag">
                                        {{ completeDataFeed['Logical Name'] }}
                                    </p>
                                    <div class="row mt-1 ml-2 mr-4" *ngIf="editLogicalNameFlag">
                                        <div class="col-md-10">
                                            <div class="form-group">
                                                <textarea type="text" rows="4" name="editLogicalNameInput"
                                                    [(ngModel)]="editLogicalNameInput" class="form-control"
                                                    maxlength="1000"
                                                    placeholder="{{ i18Labels.placeholders['Edit Logical Name'] }}"></textarea>
                                            </div>
                                        </div>
                                        <div class="col-md-2 save-btn-align">
                                            <button class="btn btn-outline-warning btn-sm" type="button"
                                                (click)="editLogicalName()">{{ i18Labels.Detailedcatalogview['Save'] }}</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <h6 class="mt-4 ml-4">
                                        <strong>{{ i18Labels.Detailedcatalogview['Data Asset'] }}</strong>
                                    </h6>
                                    <p class=" ml-4">
                                        Customer
                                    </p>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-4">
                                    <h6 class="mt-4 ml-4">
                                        <strong>{{ i18Labels.Detailedcatalogview['Layer Name'] }}</strong>
                                    </h6>
                                    <p class=" ml-4">
                                        Raw Layer
                                    </p>
                                </div>
                                <div class="col-md-4">
                                    <h6 class="mt-4 ml-4">
                                        <strong>{{ i18Labels.Detailedcatalogview['Version'] }}</strong>
                                    </h6>
                                    <p class=" ml-4">
                                        {{this.URI_ID}}
                                    </p>
                                </div>
                                <div class="col-md-4">
                                    <h6 class="mt-4 ml-4">
                                        <strong>{{ i18Labels.Detailedcatalogview['Contract Period'] }}</strong>
                                    </h6>
                                    <p class=" ml-4">
                                        01/01/2019 - 01/12/2019
                                    </p>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-4">
                                    <h6 class="mt-4 ml-4">
                                        {{ i18Labels.Detailedcatalogview['Logical Description'] }} <span
                                            appPermissions functionality="CATALOG.EDIT_OBJ_LOGICAL_DESC" action="R"
                                            class="ml-3 clickable fs" *ngIf="editLogicalDescriptionFlag == false"
                                            (click)="editLogicalDescriptionFlag = true; editLogicalDescriptionInput = completeDataFeed['Logical Description']">
                                            <img src="assets/images/novartis/edit.svg" class="editIcon"></span>
                                    </h6>
                                    <p class=" ml-4" *ngIf="!editLogicalDescriptionFlag">
                                        {{ completeDataFeed['Logical Description'] }}
                                    </p>
                                    <div class="row mt-1 ml-2 mr-4" *ngIf="editLogicalDescriptionFlag">
                                        <div class="col-md-10">
                                            <div class="form-group">
                                                <textarea type="text" rows="4" name="editLogicalDescriptionInput"
                                                    [(ngModel)]="editLogicalDescriptionInput" class="form-control"
                                                    maxlength="1000"
                                                    placeholder="{{ i18Labels.placeholders['Edit Logical Description'] }}"></textarea>
                                            </div>
                                        </div>
                                        <div class="col-md-2 save-btn-align">
                                            <button class="btn btn-outline-warning btn-sm" type="button"
                                                (click)="editLogicalDescription()">{{ i18Labels.Detailedcatalogview['Save'] }}</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <h6 class="mt-4 ml-4">
                                        <strong>{{ i18Labels.Detailedcatalogview['Created By'] }}</strong>
                                    </h6>
                                    <p class=" ml-4">
                                        George Stephen
                                    </p>
                                </div>
                                <div class="col-md-4">
                                    <h6 *ngIf="this.catalogService.layerType == 'Redshift Schema' || this.catalogService.layerType == 'Snowflake Schema'"
                                        class="mt-4 ml-4">
                                        <strong>{{ i18Labels.Detailedcatalogview['Number of Records'] }}</strong>
                                    </h6>
                                    <p *ngIf="this.catalogService.layerType == 'Redshift Schema' || this.catalogService.layerType == 'Snowflake Schema'"
                                        id="count-text-align" class=" ml-4">
                                        {{ this.rowCount }}</p>
                                    <h6 *ngIf="this.catalogService.layerType == 'S3 Bucket'" class="mt-4 ml-4">
                                        <strong>{{ i18Labels.Detailedcatalogview['File size'] }} </strong>
                                    </h6>
                                    <p *ngIf="this.catalogService.layerType == 'S3 Bucket'" class=" ml-4">
                                        {{ this.fileSize }} KB</p>
                                </div>
                            </div>

                            <hr />
                            <div class="row">
                                <div class="col-md-4">
                                    <h6 class="mt-4 ml-4">
                                        {{ i18Labels.Detailedcatalogview['Technical Description'] }} <span
                                            appPermissions functionality="CATALOG.EDIT_OBJ_TECHNICAL_DESC" action="R"
                                            class="ml-3 clickable fs" *ngIf="editTechnicalDescriptionFlag == false"
                                            (click)="editTechnicalDescriptionFlag = true; editTechnicalDescriptionInput = completeDataFeed['Technical Description']">
                                            <img src="assets/images/novartis/edit.svg" class="editIcon"></span>
                                    </h6>
                                    <p class=" ml-4" *ngIf="!editTechnicalDescriptionFlag">
                                        {{ completeDataFeed['Technical Description'] }}
                                    </p>
                                    <div class="row mt-1 ml-2 mr-4" *ngIf="editTechnicalDescriptionFlag">
                                        <div class="col-md-11">
                                            <div class="form-group">
                                                <textarea type="text" rows="4" name="editTechnicalDescriptionInput"
                                                    [(ngModel)]="editTechnicalDescriptionInput" class="form-control"
                                                    maxlength="1000"
                                                    placeholder="{{ i18Labels.placeholders['Edit Technical Description'] }}"></textarea>
                                            </div>
                                        </div>
                                        <div class="col-md-1 save-btn-align">
                                            <button class="btn btn-outline-warning btn-sm" type="button"
                                                (click)="editTechnicalDescription()">{{ i18Labels.Detailedcatalogview['Save'] }}</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <h6 class="mt-4 ml-4">
                                        <strong>{{ i18Labels.Detailedcatalogview['Last Modified By'] }}</strong>
                                    </h6>
                                    <p class=" ml-4">
                                        BHEEMMA2
                                    </p>
                                </div>
                                <div class="col-md-4">
                                    <h6 class="mt-4 ml-4">
                                        <strong>{{ i18Labels.Detailedcatalogview['Comments'] }}</strong>
                                    </h6>
                                    <p class=" ml-4">
                                        Please view latest comments in the comments tab
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3" id="misc-data-align">
                            <h6 class="mt-2 ml-1 grey-background">
                                <strong>{{ i18Labels.Detailedcatalogview['Business Description'] }} </strong> <span
                                    appPermissions functionality="CATALOG.EDIT_OBJ_BUSSINESS_DESC" action="R"
                                    class="float-right mr-3 clickable" *ngIf="editBusinessDescriptionFlag == false"
                                    (click)="editBusinessDescriptionFlag = true; editBusinessDescriptionInput = completeDataFeed['Business Description']">
                                    <img src="assets/images/novartis/edit.svg" class="editIcon">
                                    {{ i18Labels.Detailedcatalogview['Edit'] }}
                                </span>
                            </h6>
                            <p class=" ml-2" *ngIf="!editBusinessDescriptionFlag">
                                {{ completeDataFeed['Business Description'] }}
                            </p>
                            <div class="row mr-2" *ngIf="editBusinessDescriptionFlag">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <textarea type="text" rows="4" name="editBusinessDescriptionInput"
                                            [(ngModel)]="editBusinessDescriptionInput" class="form-control"
                                            maxlength="1000"
                                            placeholder="{{ i18Labels.placeholders['Edit Business Description'] }}"></textarea>
                                    </div>
                                </div>

                            </div>
                            <div class="row mr-2" *ngIf="editBusinessDescriptionFlag">
                                <div class="col-md-6">
                                    <button class="btn btn-sm btn-primary float-left" type="button"
                                        (click)="editBusinessDescription()">Cancel</button>
                                </div>
                                <div class="col-md-6 float-right">
                                    <button class="btn btn-sm btn-primary float-right" type="button"
                                        (click)="editBusinessDescription()">{{ i18Labels.Detailedcatalogview['Save'] }}</button>
                                </div>
                            </div>

                            <h6 class="mt-2 ml-1 grey-background">
                                <strong> {{ i18Labels.Detailedcatalogview['Tags'] }}</strong>
                                <span appPermissions functionality="CATALOG.ASSIGN_TAG" action="R"
                                    class="float-right mr-3 clickable" *ngIf="!displayTagInputSection"
                                    (click)="displayTagInputSection = true; passTagDetails(bkpTagStringFromUIArr)">
                                    <i class="fa fa-plus ml-4" aria-hidden="true"></i>
                                    {{ i18Labels.Detailedcatalogview['Add'] }}
                                </span>
                            </h6>
                            <!-- <div class="row mt-1" *ngIf="displayTagInputSection">
                                <div class="dual-list-groupa col-md-7">
                                    <h6 class="ml-1">
                                        Available
                                    </h6>
                                    <ejs-listbox id='listbox1' #listbox1 [dataSource]='this.tagSuggestions' sortOrder="Ascending"
                                        [toolbarSettings]='toolbarSettings' height='200px' scope='#connected-list'
                                        [fields]='fields'></ejs-listbox>
                                </div>
                                <div class="dual-list-groupb col-md-5">
                                    <h6 class="ml-1">
                                        Added
                                    </h6>
                                    <ejs-listbox id='connected-list' #listbox2 [dataSource]='this.tagStringFromUIArr' sortOrder="Ascending"
                                        height='200px' [fields]='fields'>
                                    </ejs-listbox>
                                    <button type="button" class="btn btn-sm btn-primary float-left mt-1"
                                        (click)="cancelAddTag()">Cancel</button>
                                    <button type="button" [disabled]='this.listObj2?.getDataList()?.length < 1'
                                        (click)="add_tags()"
                                        class="btn btn-sm btn-primary float-right mt-1">{{ i18Labels.Detailedcatalogview['Save'] }}</button>
                                </div>
                            </div> -->
                            <div *ngIf="displayTagInputSection">
                                <div class="input-group" id="searchEle">
                                    <input class="form-control border srch-input" placeholder="Search and add tags" type="text" [(ngModel)]="searchTextTag"
                                    name="searchTextTag" (change)="filterTagList()">
                                </div>
                                <div class="tags">
                                    <div class="division l-div">
                                        <p class="ml-1">Available Tags</p>
                                        <div class="mb-3">
                                            <div class="new-tag ml-1 mb-1" *ngFor="let item of tagSuggestions">
                                                <span>{{item.name}}</span>
                                                <button class="btn btn-add-tag">
                                                    <img src="assets/images/feature_icons/add.png" (click)="attachTagToSelected(item)"/>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="division r-div">
                                        <p class="ml-4">Tags being added</p>
                                        <div class="new-tag ml-4 mb-1" *ngFor="let item of tagStringFromUIArr">
                                            <span>{{item.name}}</span>
                                            <button class="btn btn-add-tag">
                                                <img src="assets/images/novartis/remove.svg" (click)="detachTag(item)" class="tag-remove"/>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row float-right mr-1 mt-1 mb-1" *ngIf="displayTagInputSection">
                                <button class="btn btn-secondary actionButton mr-1" (click)="cancelTagUpdate()">Cancel</button>
                                <button class="btn btn-primary actionButton" (click)="add_tags()">{{ i18Labels.Detailedcatalogview['Save'] }}</button>
                            </div>
                            <div class="row ml-3 mr-1" *ngIf="!displayTagInputSection">
                                <div class="chip ml-1 mr-1 mt-1 mb-1 d-inline-flex" *ngFor="let tag of tagStringFromUIArr">
                                    <ejs-tooltip content="{{tag?.user_name}} | {{tag?.created_on}}" position='RightCenter'>
                                        <span class="limit-content">{{tag?.name}}</span>
                                    </ejs-tooltip>
                                    <span class="closebtn d-inline-flex" (click)="deleteTag(tag, 1)"
                                        appPermissions functionality="CATALOG.UNASSIGN_TAG" action="R">&times;</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </e-tabitem>

            <e-tabitem>
                <ng-template #headerText>
                    <div> {{ i18Labels.Detailedcatalogview['Structure'] }} </div>
                </ng-template>
                <ng-template #content>
                    <app-data-dictionary [dictionary]="structureData"></app-data-dictionary>
                </ng-template>
            </e-tabitem>

            <e-tabitem *ngIf="this.catalogService.layerType == 'Object'">
                <ng-template #headerText>
                    <div> Files </div>
                </ng-template>
                <ng-template #content>
                    <app-object-file-view [objUriId]="this.URI_ID"></app-object-file-view>
                </ng-template>
            </e-tabitem>

            <e-tabitem
                *ngIf="this.catalogService.layerType == 'Redshift Schema' || this.catalogService.layerType == 'Snowflake Schema'">
                <ng-template #headerText>
                    <div> {{ i18Labels.Detailedcatalogview['Sample'] }} </div>
                </ng-template>
                <ng-template #content>
                    <app-dynamic-sync-grid-repeater [profile]="sample"></app-dynamic-sync-grid-repeater>
                </ng-template>
            </e-tabitem>

            <e-tabitem
                *ngIf="this.catalogService.layerType == 'Redshift Schema' || this.catalogService.layerType == 'Snowflake Schema'">
                <ng-template #headerText>
                    <div> {{ i18Labels.Detailedcatalogview['Consumption'] }} </div>
                </ng-template>
                <ng-template #content>
                    <app-statistics [nodeId]="this.catalogService.completeDataFeed.id"></app-statistics >
                </ng-template>
            </e-tabitem>

            <e-tabitem>
                <ng-template #headerText>
                    <div> {{ i18Labels.Detailedcatalogview['Quality Metrics'] }} </div>
                </ng-template>
                <ng-template #content>
                    <div class="overview_height-set">
                        <app-quality-metrics></app-quality-metrics>
                    </div>
                </ng-template>
            </e-tabitem>

            <e-tabitem>
                <ng-template #headerText>
                    <div> {{ i18Labels.Detailedcatalogview['Use Case'] }} </div>
                </ng-template>
                <ng-template #content>
                    <div class="overview_height-set">

                    </div>
                </ng-template>
            </e-tabitem>

            <e-tabitem>
                <ng-template #headerText>
                    <div> {{ i18Labels.Detailedcatalogview['Lineage'] }} </div>
                </ng-template>
                <ng-template #content>
                    <div class="overview_height-set">
                        <app-lineage></app-lineage>
                    </div>
                </ng-template>
            </e-tabitem>

            <e-tabitem>
                <ng-template #headerText>
                    <div> {{ i18Labels.Detailedcatalogview['Ratings & Comments'] }} </div>
                </ng-template>
                <ng-template #content>
                    <div class="overview_height-set">
                        <app-ratings-and-comments [nodeId]="this.catalogService.completeDataFeed.id">
                        </app-ratings-and-comments>
                    </div>
                </ng-template>
            </e-tabitem>
            
        </e-tabitems>
    </ejs-tab>
</div>